## video-without-flash 3.1.1

=== Makefile ===
PROJECT="vwof"
PWD=`pwd`
BUILD="build"
NAME="${PROJECT}.xpi"
XPI="${PWD}/${BUILD}/${NAME}"

.PHONY: latest xpi clean

latest:
	@echo "Building latest '${XPI}'..."
	@mkdir -p ${BUILD}
	@zip -r ${XPI} * -x "${BUILD}/*" -x "configure" -x "Makefile" -x ".git/*"

xpi:
	@echo "Building '${XPI}'..."
	@mkdir -p ${BUILD}
	@git archive --format=zip -o ${XPI} HEAD

clean:
	@echo "Removing '${PWD}/${BUILD}'..."
	@rm -rf ${BUILD}

## video-without-flash 2.0.2

=== debian/changelog ===
video-without-flash (2.0.2-1) unstable; urgency=low

  * New upstream release [December 2014].
  * New upstream repository.
  * watch: do not allow '-' in version number.
  * control: updated list of supported servers/services.
  * rules: call "install-xpi --disable-system-prefs" to skip empty conffile
    without making broken symlink (Closes: #772819).
  * Dropped obsolete lintian-override.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 24 Jan 2015 01:55:59 +1100

video-without-flash (1.5.1-1) unstable; urgency=low

  * New upstream release [December 2014].
  * Capitalised "Flash" in package description (Closes: #771814).
  * Replaced upstream "README.md" with "README.Debian".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 10 Dec 2014 09:50:21 +1100

video-without-flash (1.5.0-1) unstable; urgency=low

  * Initial release (Closes: #770047).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 19 Nov 2014 11:20:23 +1100

=== debian/control ===
Source: video-without-flash
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), mozilla-devscripts
Standards-Version: 3.9.6
Homepage: https://github.com/odrevet/video-without-flash-restartless
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-mozext/video-without-flash.git
Vcs-Git: git://anonscm.debian.org/pkg-mozext/video-without-flash.git

Package: xul-ext-video-without-flash
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Enhances: ${xpi:Enhances}
Provides: ${xpi:Provides}
Description: extension to watch videos without the Flash plugin
 Fetch video source of Flash based media and play the video directly with
 Iceweasel (a.k.a. Firefox), without the use of the Flash plug-in.
 Supported sites/embed video players:
  * Youtube
  * Blip
  * ScreenWaveMedia
  * Dew
  * HTML5
  * Springboard
  * Dailymotion
  * UStream

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with xul-ext --buildsystem=xul_ext --parallel

override_dh_auto_install:
	## Deliberately skip empty conffile.
	install-xpi --disable-system-prefs -x configure -x Makefile xul-*.xpi

## video-without-flash 3.1.1

=== debian/changelog ===
video-without-flash (3.1.1-1) unstable; urgency=low

  * New upstream release [April 2015].
    - dropped defunctional YouTube support (Closes: #772421).
  * Removed YouTube from README.Debian; updated package description.
  * Suggests += "gstreamer1.0-libav".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Apr 2015 18:03:23 +1000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${xpi:Depends}
 Recommends: ${xpi:Recommends}
+Suggests: gstreamer1.0-libav
 Breaks: ${xpi:Breaks}
 Enhances: ${xpi:Enhances}
 Provides: ${xpi:Provides}
@@ -20,12 +21,10 @@
  Fetch video source of Flash based media and play the video directly with
  Iceweasel (a.k.a. Firefox), without the use of the Flash plug-in.
  Supported sites/embed video players:
-  * Youtube
   * Blip
+  * Dailymotion
+  * FC2
+  * HTML5
+  * NicoNico
   * ScreenWaveMedia
-  * Dew
-  * HTML5
-  * Springboard
-  * Dailymotion
-  * UStream

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 %:
 	dh $@ --with xul-ext --buildsystem=xul_ext --parallel
 
+override_dh_clean:
+	dh_clean
+	$(RM) -r build
+
 override_dh_auto_install:
 	## Deliberately skip empty conffile.
 	install-xpi --disable-system-prefs -x configure -x Makefile xul-*.xpi

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/odrevet/video-without-flash-restartless/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

 https://addons.mozilla.org/en-US/firefox/addon/video-without-flash/versions/ \
 .*/video_without_flash-(\d[\d\.]+)-fx\.xpi(?:\?.*) \
 debian xpi-repack
